<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:47 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface io.mosip.registration.device.scanner.wia.IImageFile (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface io.mosip.registration.device.scanner.wia.IImageFile (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?io/mosip/registration/device/scanner/wia/class-use/IImageFile.html" target="_top">Frames</a></li>
<li><a href="IImageFile.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface io.mosip.registration.device.scanner.wia.IImageFile" class="title">Uses of Interface<br>io.mosip.registration.device.scanner.wia.IImageFile</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.device.scanner.wia">io.mosip.registration.device.scanner.wia</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.device.scanner.wia">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a> in <a href="../../../../../../../io/mosip/registration/device/scanner/wia/package-summary.html">io.mosip.registration.device.scanner.wia</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../io/mosip/registration/device/scanner/wia/package-summary.html">io.mosip.registration.device.scanner.wia</a> that return <a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></code></td>
<td class="colLast"><span class="typeNameLabel">IImageProcess.</span><code><span class="memberNameLink"><a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageProcess.html#apply-io.mosip.registration.device.scanner.wia.IImageFile-">apply</a></span>(<a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a>&nbsp;source)</code>
<div class="block">
 Takes the specified ImageFile and returns the new ImageFile with all the filters applied on success</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></code></td>
<td class="colLast"><span class="typeNameLabel">ClassFactory.</span><code><span class="memberNameLink"><a href="../../../../../../../io/mosip/registration/device/scanner/wia/ClassFactory.html#createImageFile--">createImageFile</a></span>()</code>
<div class="block">The ImageFile object is a container for images transferred to your computer
 when you call Transfer or ShowTransfer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></code></td>
<td class="colLast"><span class="typeNameLabel">IVector.</span><code><span class="memberNameLink"><a href="../../../../../../../io/mosip/registration/device/scanner/wia/IVector.html#imageFile-int-int-">imageFile</a></span>(int&nbsp;width,
         int&nbsp;height)</code>
<div class="block">
 Used to get the Thumbnail property of an ImageFile which is an image file, The thumbnail property of an Item which is RGB data, or creating an ImageFile from raw ARGB data.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></code></td>
<td class="colLast"><span class="typeNameLabel">ICommonDialog.</span><code><span class="memberNameLink"><a href="../../../../../../../io/mosip/registration/device/scanner/wia/ICommonDialog.html#showAcquireImage-io.mosip.registration.device.scanner.wia.WiaDeviceType-io.mosip.registration.device.scanner.wia.WiaImageIntent-io.mosip.registration.device.scanner.wia.WiaImageBias-java.lang.String-boolean-boolean-boolean-">showAcquireImage</a></span>(<a href="../../../../../../../io/mosip/registration/device/scanner/wia/WiaDeviceType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaDeviceType</a>&nbsp;deviceType,
                <a href="../../../../../../../io/mosip/registration/device/scanner/wia/WiaImageIntent.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageIntent</a>&nbsp;intent,
                <a href="../../../../../../../io/mosip/registration/device/scanner/wia/WiaImageBias.html" title="enum in io.mosip.registration.device.scanner.wia">WiaImageBias</a>&nbsp;bias,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;formatID,
                boolean&nbsp;alwaysSelectDevice,
                boolean&nbsp;useCommonUI,
                boolean&nbsp;cancelError)</code>
<div class="block">
 Displays one or more dialog boxes that enable the user to acquire an image from a hardware device for image acquisition and returns an ImageFile object on success, otherwise Nothing</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../io/mosip/registration/device/scanner/wia/package-summary.html">io.mosip.registration.device.scanner.wia</a> with parameters of type <a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a></code></td>
<td class="colLast"><span class="typeNameLabel">IImageProcess.</span><code><span class="memberNameLink"><a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageProcess.html#apply-io.mosip.registration.device.scanner.wia.IImageFile-">apply</a></span>(<a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">IImageFile</a>&nbsp;source)</code>
<div class="block">
 Takes the specified ImageFile and returns the new ImageFile with all the filters applied on success</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html" title="interface in io.mosip.registration.device.scanner.wia">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?io/mosip/registration/device/scanner/wia/class-use/IImageFile.html" target="_top">Frames</a></li>
<li><a href="IImageFile.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
